pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 > Class Template Reference
Module visualization

RGB handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >:

## Public Types

typedef boost::shared_ptr< PointCloudColorHandlerRGBField< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandlerRGBField< PointCloud > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
typedef pcl::PCLPointCloud2 | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointCloud > > | ConstPtr

## Public Member Functions

| PointCloudColorHandlerRGBField (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandlerRGBField ()
| Empty destructor. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Return whether this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Member Functions

virtual std::string | getName () const
| Get the name of the class. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >

RGB handler class for colors.

Uses the data present in the "rgb" or "rgba" fields as the color at each point.

Author
  Radu B. Rusu

Definition at line 661 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

typedef boost::shared_ptr<const PointCloudColorHandlerRGBField<PointCloud> > pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::ConstPtr

Definition at line 669 of file point_cloud_color_handlers.h.

typedef boost::shared_ptr<PointCloudColorHandlerRGBField<PointCloud> > pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::Ptr

Definition at line 668 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::PointCloudColorHandlerRGBField | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

virtual pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::~PointCloudColorHandlerRGBField | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 675 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::getColor().

## Member Function Documentation

virtual bool pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

virtual std::string pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline protected virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 692 of file point_cloud_color_handlers.h.

virtual std::string pcl::visualization::PointCloudColorHandlerRGBField< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline protected virtual

Get the name of the class.

Implements pcl::visualization::PointCloudColorHandler< pcl::PCLPointCloud2 >.

Definition at line 688 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_color_handlers.h